Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.messagebox.model
Class MessageIncomingCall

    java.lang.Object
      org.fourthline.cling.support.messagebox.model.Message
          org.fourthline.cling.support.messagebox.model.MessageIncomingCall

All Implemented Interfaces:
  ElementAppender

    public class MessageIncomingCall

extends Message

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.fourthline.cling.support.messagebox.model.Message
`Message.Category, Message.DisplayType`

Field Summary

Fields inherited from class org.fourthline.cling.support.messagebox.model.Message
`randomGenerator`

Constructor Summary
`MessageIncomingCall(DateTime callTime, NumberName callee, NumberName caller)`
`MessageIncomingCall(Message.DisplayType displayType, DateTime callTime, NumberName callee, NumberName caller)`
`MessageIncomingCall(NumberName callee, NumberName caller)`

Method Summary
`void` | `appendMessageElements(MessageElement parent)`
`NumberName` | `getCallee()`
`NumberName` | `getCaller()`
`DateTime` | `getCallTime()`

Methods inherited from class org.fourthline.cling.support.messagebox.model.Message
`equals, getCategory, getDisplayType, getId, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageIncomingCall

    public MessageIncomingCall(NumberName callee,
                               NumberName caller)

### MessageIncomingCall

    public MessageIncomingCall(DateTime callTime,
                               NumberName callee,
                               NumberName caller)

### MessageIncomingCall

    public MessageIncomingCall(Message.DisplayType displayType,
                               DateTime callTime,
                               NumberName callee,
                               NumberName caller)

Method Detail

### getCallTime

    public DateTime getCallTime()

### getCallee

    public NumberName getCallee()

### getCaller

    public NumberName getCaller()

### appendMessageElements

    public void appendMessageElements(MessageElement parent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.